import { HttpClient, HttpHeaders, HttpResponse, HttpEvent, HttpParameterCodec, HttpContext } from '@angular/common/http';
import { Observable } from 'rxjs';
import { CustomerTokenIdpModel } from '../model/customerToken';
import { PostCustomerTokenIdpModel } from '../model/postCustomerToken';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class CustomerTokensService {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    encoder: HttpParameterCodec;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private addToHttpParams;
    private addToHttpParamsRecursive;
    /**
     * Create customer access token
     * Creates a customer JWT access token.  Required scopes: **customers:write** and **customers:read**
     * @param postCustomerTokenIdpModel
     * @param observe set whether or not to return the data Observable as the body, response or events. defaults to returning the body.
     * @param reportProgress flag to report request and response progress.
     */
    createCustomerToken(postCustomerTokenIdpModel: PostCustomerTokenIdpModel, observe?: 'body', reportProgress?: boolean, options?: {
        httpHeaderAccept?: 'application/json';
        context?: HttpContext;
    }): Observable<CustomerTokenIdpModel>;
    createCustomerToken(postCustomerTokenIdpModel: PostCustomerTokenIdpModel, observe?: 'response', reportProgress?: boolean, options?: {
        httpHeaderAccept?: 'application/json';
        context?: HttpContext;
    }): Observable<HttpResponse<CustomerTokenIdpModel>>;
    createCustomerToken(postCustomerTokenIdpModel: PostCustomerTokenIdpModel, observe?: 'events', reportProgress?: boolean, options?: {
        httpHeaderAccept?: 'application/json';
        context?: HttpContext;
    }): Observable<HttpEvent<CustomerTokenIdpModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomerTokensService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CustomerTokensService>;
}
