export interface ApplicationWithSecretIdpModel {
    /**
     * Name provided for the OAuth2 application.
     */
    name: string;
    /**
     * The OAuth2 application\'s client ID.
     */
    client_id: string;
    /**
     * List of the scopes granted to the OAuth2 application.
     */
    scopes: Array<ApplicationWithSecretIdpModel.ScopesEnum>;
    /**
     * ISO8601 datetime the record was created at.
     */
    created_at: string;
    /**
     * ISO8601 datetime the record was last updated at.
     */
    updated_at?: string;
    /**
     * The OAuth2 application\'s secret.
     */
    secret: string;
}
export declare namespace ApplicationWithSecretIdpModel {
    type ScopesEnum = 'accounts:execute' | 'accounts:read' | 'bank_applications:execute' | 'banks:execute' | 'banks:read' | 'banks:write' | 'counterparties:execute' | 'counterparties:pii:read' | 'counterparties:read' | 'counterparties:write' | 'customers:execute' | 'customers:pii:read' | 'customers:read' | 'customers:write' | 'deposit_addresses:execute' | 'deposit_addresses:read' | 'deposit_bank_accounts:execute' | 'deposit_bank_accounts:read' | 'external_bank_accounts:execute' | 'external_bank_accounts:pii:read' | 'external_bank_accounts:read' | 'external_bank_accounts:write' | 'external_wallets:execute' | 'external_wallets:read' | 'files:execute' | 'files:pii:read' | 'files:read' | 'identity_verifications:execute' | 'identity_verifications:pii:read' | 'identity_verifications:read' | 'identity_verifications:write' | 'invoices:execute' | 'invoices:read' | 'invoices:write' | 'organization_applications:execute' | 'organizations:read' | 'organizations:write' | 'persona_sessions:execute' | 'prices:read' | 'quotes:execute' | 'quotes:read' | 'subscription_events:execute' | 'subscription_events:read' | 'subscriptions:execute' | 'subscriptions:read' | 'subscriptions:write' | 'trades:execute' | 'trades:read' | 'transfers:execute' | 'transfers:read' | 'transfers:write' | 'users:execute' | 'users:read' | 'workflows:execute' | 'workflows:read';
    const ScopesEnum: {
        Accountsexecute: ScopesEnum;
        Accountsread: ScopesEnum;
        BankApplicationsexecute: ScopesEnum;
        Banksexecute: ScopesEnum;
        Banksread: ScopesEnum;
        Bankswrite: ScopesEnum;
        Counterpartiesexecute: ScopesEnum;
        Counterpartiespiiread: ScopesEnum;
        Counterpartiesread: ScopesEnum;
        Counterpartieswrite: ScopesEnum;
        Customersexecute: ScopesEnum;
        Customerspiiread: ScopesEnum;
        Customersread: ScopesEnum;
        Customerswrite: ScopesEnum;
        DepositAddressesexecute: ScopesEnum;
        DepositAddressesread: ScopesEnum;
        DepositBankAccountsexecute: ScopesEnum;
        DepositBankAccountsread: ScopesEnum;
        ExternalBankAccountsexecute: ScopesEnum;
        ExternalBankAccountspiiread: ScopesEnum;
        ExternalBankAccountsread: ScopesEnum;
        ExternalBankAccountswrite: ScopesEnum;
        ExternalWalletsexecute: ScopesEnum;
        ExternalWalletsread: ScopesEnum;
        Filesexecute: ScopesEnum;
        Filespiiread: ScopesEnum;
        Filesread: ScopesEnum;
        IdentityVerificationsexecute: ScopesEnum;
        IdentityVerificationspiiread: ScopesEnum;
        IdentityVerificationsread: ScopesEnum;
        IdentityVerificationswrite: ScopesEnum;
        Invoicesexecute: ScopesEnum;
        Invoicesread: ScopesEnum;
        Invoiceswrite: ScopesEnum;
        OrganizationApplicationsexecute: ScopesEnum;
        Organizationsread: ScopesEnum;
        Organizationswrite: ScopesEnum;
        PersonaSessionsexecute: ScopesEnum;
        Pricesread: ScopesEnum;
        Quotesexecute: ScopesEnum;
        Quotesread: ScopesEnum;
        SubscriptionEventsexecute: ScopesEnum;
        SubscriptionEventsread: ScopesEnum;
        Subscriptionsexecute: ScopesEnum;
        Subscriptionsread: ScopesEnum;
        Subscriptionswrite: ScopesEnum;
        Tradesexecute: ScopesEnum;
        Tradesread: ScopesEnum;
        Transfersexecute: ScopesEnum;
        Transfersread: ScopesEnum;
        Transferswrite: ScopesEnum;
        Usersexecute: ScopesEnum;
        Usersread: ScopesEnum;
        Workflowsexecute: ScopesEnum;
        Workflowsread: ScopesEnum;
    };
}
